module Paths_RefSerialize (
    version,
    getBinDir, getLibDir, getDataDir, getLibexecDir,
    getDataFileName
  ) where

import Data.Version (Version(..))
import System.Environment (getEnv)

version :: Version
version = Version {versionBranch = [0,2], versionTags = []}

bindir, libdir, datadir, libexecdir :: FilePath

bindir     = "/usr/local/bin"
libdir     = "/usr/local/lib/RefSerialize-0.2/ghc-6.8.2"
datadir    = "/usr/local/share/RefSerialize-0.2"
libexecdir = "/usr/local/libexec"

getBinDir, getLibDir, getDataDir, getLibexecDir :: IO FilePath
getBinDir = catch (getEnv "RefSerialize_bindir") (\_ -> return bindir)
getLibDir = catch (getEnv "RefSerialize_libdir") (\_ -> return libdir)
getDataDir = catch (getEnv "RefSerialize_datadir") (\_ -> return datadir)
getLibexecDir = catch (getEnv "RefSerialize_libexecdir") (\_ -> return libexecdir)

getDataFileName :: FilePath -> IO FilePath
getDataFileName name = do
  dir <- getDataDir
  return (dir ++ "/" ++ name)
